summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2013-01-04 21:22:43 +0000
committerUlrich Müller <ulm@gentoo.org>2013-01-04 21:22:43 +0000
commitcedc14ef58167e2643877b1c5ae818cd21b693cd (patch)
treef11f76771678a78c787811f9510120a3a2d8c028 /eclass/elisp.eclass
parentStable for ia64, wrt bug #436518 (diff)
downloadgentoo-2-cedc14ef58167e2643877b1c5ae818cd21b693cd.tar.gz
gentoo-2-cedc14ef58167e2643877b1c5ae818cd21b693cd.tar.bz2
gentoo-2-cedc14ef58167e2643877b1c5ae818cd21b693cd.zip
Sync eclasses from Emacs overlay.
elisp-common.eclass: Remove last remnants of backwards compatibility code from elisp-site-regen which was introduced at 2007-12-01. Distinguish between "version too low" and "could not determine version" in elisp_pkg_setup. elisp.eclass: Return 2 as exit status of elisp-need-emacs if the comparison could not be done, e.g., if emacs could not be executed.
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass11
1 files changed, 8 insertions, 3 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 2e3c9e0c37a6..be7176e27422 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.55 2012/08/17 20:29:24 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.56 2013/01/04 21:22:43 ulm Exp $
#
# @ECLASS: elisp.eclass
# @MAINTAINER:
@@ -83,7 +83,12 @@ RDEPEND="${DEPEND}"
# version requirement of the NEED_EMACS variable.
elisp_pkg_setup() {
- elisp-need-emacs "${NEED_EMACS:-21}" || die "Emacs version too low"
+ elisp-need-emacs "${NEED_EMACS:-21}"
+ case $? in
+ 0) ;;
+ 1) die "Emacs version too low" ;;
+ *) die "Could not determine Emacs version" ;;
+ esac
}
# @FUNCTION: elisp_src_unpack